Bug 667631 - libvirt: spice client migration monitor command update
Summary: libvirt: spice client migration monitor command update
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt
Version: 6.1
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: Michal Privoznik
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-06 09:48 UTC by Gerd Hoffmann
Modified: 2011-12-06 10:53 UTC (History)
9 users (show)

Fixed In Version: libvirt-0.9.4-11.el6
Doc Type: Bug Fix
Doc Text:
Cause: QEMU changed monitor command that tells SPICE some migration infos (e.g. where are we gonna migrate, what port) Consequence: Libvirt would be unable to send these information to SPICE, so session could break which will break down seamless migration Fix: Libvirt adapted to new monitor command Result: Users can perform seamless migration
Clone Of:
Environment:
Last Closed: 2011-12-06 10:53:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1513 0 normal SHIPPED_LIVE libvirt bug fix and enhancement update 2011-12-06 01:23:30 UTC

Description Gerd Hoffmann 2011-01-06 09:48:03 UTC
Description of problem:
This is more a "heads up" for now.

rhel-6.0 has a __redhat.com_spice_migrate_info monitor command to pass the informations needed for spice client migration.  The patch has been submitted upstream, but isn't merged (yet).  If the patch is accepted upstream in time for 6.1 the monitor command will loose the "__redhat.com" prefix in 6.1.

Comment 2 RHEL Program Management 2011-04-04 01:48:52 UTC
Since RHEL 6.1 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.

Comment 3 Michal Privoznik 2011-09-09 15:15:04 UTC
Moving to MODIFIED, as we have had patch for this a long time:

libvirt-qemu-Fix-seamless-SPICE-migration-with-older-qemu.patch

Comment 6 Vivian Bian 2011-09-13 09:34:49 UTC
tested with libvirt-0.9.4-11.el6.x86_64

Steps :
1. start a guest with spice graphical framebuffer 
2. connect to guest spice client session 
3. migrate guest 

Actual result :
guest could be migrated seamlessly , so set bug status to VERIFIED

Comment 7 Michal Privoznik 2011-11-11 09:56:52 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: QEMU changed monitor command that tells SPICE some migration infos (e.g. where are we gonna migrate, what port)

Consequence: Libvirt would be unable to send these information to SPICE, so session could break which will break down seamless migration

Fix: Libvirt adapted to new monitor command

Result: Users can perform seamless migration

Comment 8 errata-xmlrpc 2011-12-06 10:53:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1513.html


Note You need to log in before you can comment on or make changes to this bug.